FREEBSD.SYS.LINKER(3lua)

NAME
freebsd.sys.linker - Lua binding to FreeBSD 's Linker functions

SYNOPSIS

    local linker = require('freebsd.sys.linker')

fileid, err, errno = linker.kldload(name)
ok, err, errno = linker.kldunload(fileid|name)

DESCRIPTION
The freebsd.sys.linker module is a binding to the FreeBSD 's linker functions. List of functions:

fileid, err = freebsd.sys.linker.kldload(name)
    Load the kernel module named name and return the identifier (fileid) as an integer.

ok, err, errno = freebsd.sys.linker.kldunload(fileid|name)
    Unload the kernel module identifier either by name as a string, or fileid as an integer.

SEE ALSO
kldload(2), kldunload(2)